#ifndef __SMTPCommand_h__
# define __SMTPCommand_h__

# include "Command.h"
# include "SMTPSession.h"

#define CRLF "\r\n"

namespace mail {

   class SMTPServer;

   class SMTPCommand : public core::Command {

    public:
      virtual int processCommand(coreutils::ZString &request, core::TCPSession &session);
      virtual int processCommand(coreutils::ZString &request, SMTPSession &session, SMTPServer &server);
      void grabInput(SMTPSession &session);
      void clearGrab(SMTPSession &session);

   };

}

#endif
